unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, TAGraph, TASources, TASeries, TATools, Forms,
  Controls, Graphics, Dialogs, ExtCtrls, StdCtrls, Spin, ComCtrls, Types;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    Chart1LineSeries2: TLineSeries;
    ChartToolset1: TChartToolset;
    ChartToolset1DataPointClickTool1: TDataPointClickTool;
    ChartToolset1DataPointCrosshairTool1: TDataPointCrosshairTool;
    Label1: TLabel;
    Panel1: TPanel;
    RandomChartSource1: TRandomChartSource;
    RandomChartSource2: TRandomChartSource;
    SpinEdit1: TSpinEdit;
    StatusBar1: TStatusBar;
    procedure ChartToolset1DataPointClickTool1PointClick(ATool: TChartTool;
      APoint: TPoint);
    procedure ChartToolset1DataPointCrosshairTool1Draw(
      ASender: TDataPointDrawTool);
    procedure FormCreate(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  TACustomSeries;

{ TForm1 }

procedure TForm1.ChartToolset1DataPointClickTool1PointClick(ATool: TChartTool;
  APoint: TPoint);
var
  tool: TDatapointClickTool;
  ser: TChartSeries;
  idx: Integer;
begin
  tool := TDataPointClickTool(ATool);
  ser := TChartSeries(tool.Series);
  idx := tool.Index;
  ShowMessage(Format('Series "%s": Punkt #%d (x=%f, y=%f) geklickt', [
    ser.Name, idx, ser.GetXValue(idx), ser.GetYValue(idx)
  ]));
end;

procedure TForm1.ChartToolset1DataPointCrosshairTool1Draw(
  ASender: TDataPointDrawTool);
var
  ser: TChartSeries;
begin
  ser := TChartSeries(ASender.Series);
  if ser <> nil then
    Statusbar1.SimpleText := Format('Series "%s" angeklickt', [ser.Title])
  else
    Statusbar1.SimpleText := 'Keine Series angeklickt';
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SpinEdit1.Value := ChartToolset1DatapointClickTool1.GrabRadius;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  ChartToolset1DatapointClickTool1.GrabRadius := SpinEdit1.Value;
end;

end.

